import 'package:dio/dio.dart';
import 'package:flutter_kz_library/src/statics/Statics.dart';

class DioHelper {
  static DioHelper shared = new DioHelper();

  Dio _getConfig({AuthType type, String token}) {
    Dio dio = new Dio();

    if (token != "") {
      dio.options.headers['Authorization'] =
          Statics.authType(type: type, token: token);
    }

    return dio;
  }

  Future<Response> httpGet(
      {String url,
      AuthType type,
      String token = "",
      Map<String, dynamic> queryParameters}) async {
    var response = await _getConfig(type: type, token: token)
        .get(url, queryParameters: queryParameters);

    return response;
  }

  Future<Response> httpPostJ(
      {String url,
      AuthType type,
      String token = "",
      Map<String, dynamic> data}) async {
    var response =
        await _getConfig(type: type, token: token).post(url, data: data);

    return response;
  }

  Future<Response> httpPostF(
      {String url, AuthType type, String token = "", FormData data}) async {
    var response =
        await _getConfig(type: type, token: token).post(url, data: data);

    return response;
  }

  Future<Response> httpPutJ(
      {String url,
      AuthType type,
      String token = "",
      Map<String, dynamic> queryParameters,
      Map<String, dynamic> data}) async {
    var response = await _getConfig(type: type, token: token)
        .put(url, queryParameters: queryParameters, data: data);

    return response;
  }

  Future<Response> httpPutF(
      {String url,
      AuthType type,
      String token = "",
      Map<String, dynamic> queryParameters,
      FormData data}) async {
    var response = await _getConfig(type: type, token: token)
        .put(url, queryParameters: queryParameters, data: data);

    return response;
  }

  Future<Response> httpDelete(
      {String url,
      AuthType type,
      String token = "",
      Map<String, dynamic> queryParameters}) async {
    var response = await _getConfig(type: type, token: token)
        .delete(url, queryParameters: queryParameters);

    return response;
  }
}
