import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:url_launcher/url_launcher.dart';

class FunctionHelper {
  Size _screenSize(BuildContext context) {
    return MediaQuery.of(context).size;
  }

  /// Get percent base on screen height device
  double screenHeight(BuildContext context, double percent) {
    return (_screenSize(context).height * percent) / 100;
  }

  /// Get percent base on screen width device
  double screenWidth(BuildContext context, double percent) {
    return (_screenSize(context).width * percent) / 100;
  }

  void callTo({String phoneNumber}) {
    launch("tel:$phoneNumber");
  }

  void mailTo({String email}) {
    launch("mailto:$email");
  }

  void clipBoard({String content}) {
    Clipboard.setData(ClipboardData(text: content));
  }
}
