import 'package:flutter/material.dart';
import 'package:flutter_redux/flutter_redux.dart';
import 'package:redux/redux.dart';
import 'models/TokenState.dart';
import 'reducers/TokenReducer.dart';

export 'package:flutter_kz_library/src/reduxs/models/TokenState.dart';

class AppState {
  final TokenState tokenState;

  AppState({@required this.tokenState});

  factory AppState.initial() {
    return AppState(tokenState: TokenState.initial());
  }
}

AppState appReducer(AppState state, action) {
  return AppState(
      tokenState: tokenReducer(state.tokenState, action),
  );
}

Store<AppState> storeProvider({BuildContext context}) {
  return StoreProvider.of<AppState>(context);
}
