import 'package:flutter/material.dart';
class SABTWidget extends StatefulWidget {
  final Widget child;
  const SABTWidget({
    Key key,
    @required this.child,
  }) : super(key: key);
  @override
  _SABTWidgetState createState() {
    return new _SABTWidgetState();
  }
}
class _SABTWidgetState extends State<SABTWidget> {
  ScrollPosition _position;
  bool _visible;
  @override
  void dispose() {
    _removeListener();
    super.dispose();
  }
  @override
  void didChangeDependencies() {
    super.didChangeDependencies();
    _removeListener();
    _addListener();
  }
  void _addListener() {
    _position = Scrollable.of(context)?.position;
    _position?.addListener(_positionListener);
    _positionListener();
  }
  void _removeListener() {
    _position?.removeListener(_positionListener);
  }
  void _positionListener() {
    final FlexibleSpaceBarSettings settings =
    context.dependOnInheritedWidgetOfExactType(aspect: FlexibleSpaceBarSettings);
    bool visible = settings == null || settings.currentExtent <= settings.minExtent;
    if (_visible != visible) {
      setState(() {
        _visible = visible;
      });
    }
  }
  @override
  Widget build(BuildContext context) {
    return Visibility(
      visible: _visible,
      child: widget.child,
    );
  }
}